# Generated by Django 3.2.8 on 2021-11-28 13:35

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0028_alter_districthomepage_subheader"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcenterpage",
            name="sidebar_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "address",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "embed_map",
                                    wagtail.blocks.URLBlock(
                                        help_text="Hodnota 'src' v iframe",
                                        label="Odkaz na embed mapku",
                                        required=False,
                                    ),
                                ),
                                (
                                    "address",
                                    wagtail.blocks.TextBlock(
                                        label="Adresa", required=True
                                    ),
                                ),
                                (
                                    "address_info",
                                    wagtail.blocks.TextBlock(
                                        label="Info k adrese", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "contact",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "contact_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=["district.DistrictPersonPage"],
                                        ),
                                        label="List kontaktů",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah bočního panelu",
            ),
        ),
    ]
